gr::satellites::rscode_decoder Class Reference

<+description of block+> More...

`#include <rscode_decoder.h>`

Inheritance diagram for gr::satellites::rscode_decoder:
[legend]

## Public Types

typedef boost::shared_ptr< rscode_decoder > | sptr

## Static Public Member Functions

static sptr | make (int npar)
| Return a shared_ptr to a new instance of satellites::rscode_decoder. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<rscode_decoder> gr::satellites::rscode_decoder::sptr

## Member Function Documentation

## make()

static sptr gr::satellites::rscode_decoder::make | ( | int | npar | ) |

static

Return a shared_ptr to a new instance of satellites::rscode_decoder.

To avoid accidental use of raw pointers, satellites::rscode_decoder's constructor is in a private implementation class. satellites::rscode_decoder::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- rscode_decoder.h